
<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml" lang="es">
  <head>
    <meta charset="utf-8" />
    <title>Welcome to Python Challenger Logs Processor’s documentation! &#8212; documentación de Python Challenger Logs Processor - </title>
    <link rel="stylesheet" href="_static/alabaster.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script type="text/javascript" src="_static/language_data.js"></script>
    <script type="text/javascript" src="_static/translations.js"></script>
    <link rel="index" title="Índice" href="genindex.html" />
    <link rel="search" title="Búsqueda" href="search.html" />
   
  <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <p>sphinx-quickstart on Fri Jun  7 15:34:42 2019.
You can adapt this file completely to your liking, but it should at least
contain the root <cite>toctree</cite> directive.</p>
<div class="section" id="welcome-to-python-challenger-logs-processor-s-documentation">
<h1>Welcome to Python Challenger Logs Processor’s documentation!<a class="headerlink" href="#welcome-to-python-challenger-logs-processor-s-documentation" title="Enlazar permanentemente con este título">¶</a></h1>
<div class="section" id="requisitos-previos">
<h2>Requisitos previos<a class="headerlink" href="#requisitos-previos" title="Enlazar permanentemente con este título">¶</a></h2>
<p>Instalar:</p>
<ul class="simple">
<li><p>Python 3.7 (<a class="reference external" href="https://www.python.org/downloads/">https://www.python.org/downloads/</a>)</p>
<ul>
<li><dl class="simple">
<dt>Instalar Java 8: En Ubuntu haríamos</dt><dd><ul>
<li><p>sudo apt install openjdk-8-jdk</p></li>
<li><p>sudo update-alternatives –config java -&gt; Seleccionamos java 8</p></li>
<li><p>verificamos la versión con java -version</p></li>
</ul>
</dd>
</dl>
</li>
</ul>
</li>
</ul>
</div>
<div class="section" id="pasos-para-la-instalacion">
<h2>Pasos para la instalación<a class="headerlink" href="#pasos-para-la-instalacion" title="Enlazar permanentemente con este título">¶</a></h2>
<ul class="simple">
<li><p>Instalar requisitos previos</p></li>
<li><dl class="simple">
<dt>Instalar dependencias del proyecto:</dt><dd><ul>
<li><p>pip install -r requirements.txt</p></li>
</ul>
</dd>
</dl>
</li>
</ul>
</div>
<div class="section" id="como-simular-el-proceso">
<h2>Como simular el proceso<a class="headerlink" href="#como-simular-el-proceso" title="Enlazar permanentemente con este título">¶</a></h2>
<p>Ejecutas en dos consola distintas en la carpeta del proyecto:</p>
<ul class="simple">
<li><p>python script_to_generate_log.py</p></li>
<li><p>python main.py</p></li>
</ul>
</div>
<div class="section" id="metodologia-de-gestion-de-proyectos">
<h2>Métodologia de gestión de proyectos<a class="headerlink" href="#metodologia-de-gestion-de-proyectos" title="Enlazar permanentemente con este título">¶</a></h2>
<p>Se ha utilizado git, en el servidor de gitlab, con la metodología de git-flow (<a class="reference external" href="https://danielkummer.github.io/git-flow-cheatsheet/">https://danielkummer.github.io/git-flow-cheatsheet/</a>), salvo las release, ya que
no tiene sentido utilizar una reama release, para un proyecto tan pequeño</p>
</div>
<div class="section" id="pasos-para-testear-el-proyecto">
<h2>Pasos para testear el proyecto<a class="headerlink" href="#pasos-para-testear-el-proyecto" title="Enlazar permanentemente con este título">¶</a></h2>
<p>El proyecto tiene configurado el sistema tox de integración continua (<a class="reference external" href="https://tox.readthedocs.io/en/latest/">https://tox.readthedocs.io/en/latest/</a>).
Esta configurado para que pruebe en un entorno virtual con python 3.7, con los requirements
instalados.</p>
<p>Commando a ejecutar:</p>
<p>Solamente deberemos escribir «tox» en la consola. La configuración del sistema tox la encontramos en el
fichero tox.ini</p>
</div>
<div class="section" id="que-hace-el-tox">
<h2>¿Que hace el tox?<a class="headerlink" href="#que-hace-el-tox" title="Enlazar permanentemente con este título">¶</a></h2>
<p>El procedimiento que hará al ejecutar el comando tox será:</p>
<ul class="simple">
<li><p>Crear entorno virtual y instalar los requirements</p></li>
<li><p>Ejecutar los test mediante el pytest(<a class="reference external" href="https://docs.pytest.org/en/latest/">https://docs.pytest.org/en/latest/</a>) con la cobertura habilitada.Los resultados de la cobertura los podemos ver en la terminal o en una carpeta que se creará htmlcov, donde el fichero index.html nos mostrará una vista muy agradable para navegar por el código y ver que falta por cubrir por test unitario</p></li>
<li><p>Validar la guía de estilo(Lint), mediante el flake8 (<a class="reference external" href="http://flake8.pycqa.org/en/latest/">http://flake8.pycqa.org/en/latest/</a>). Este proceso garantiza que el código cumple el PEP8(<a class="reference external" href="https://www.python.org/dev/peps/pep-0008/">https://www.python.org/dev/peps/pep-0008/</a>)</p></li>
<li><p>Aplicar el mypy(<a class="reference external" href="http://mypy-lang.org/">http://mypy-lang.org/</a>) para verificar que el tipado de nuestra librería es coherente (más información del tipado estático de python en <a class="reference external" href="https://www.python.org/dev/peps/pep-0484/">https://www.python.org/dev/peps/pep-0484/</a>)</p></li>
</ul>
</div>
<div class="section" id="como-generar-el-paquete-instalable">
<h2>Como generar el paquete instalable<a class="headerlink" href="#como-generar-el-paquete-instalable" title="Enlazar permanentemente con este título">¶</a></h2>
<p>Para generar el paquete wheel instalable con el gestor de paquetes de python, usaremos el fichero
setup.py que tenemos en el repositorio.
El comando para generar el paquete es:</p>
<ul class="simple">
<li><p>python setup.py bdist_wheel</p></li>
</ul>
<p>Este comando generará una carpeta dist donde encontraremos el instalable. Por otro lado tendremos la carpeta
build donde podremos ver que archivos están en el paquete.</p>
<p>Para este caso en concreto se ha centrado en dos funcionalidades:</p>
<ul class="simple">
<li><p>generator_log, para llamar a la clase: from generator_log import GenerateParseLog</p></li>
<li><p>process_log, para llamar a la clase: from process_log import ExtractInfo</p></li>
</ul>
<p>Es decir el resto de ficheros se ha decidido que no se incluyera en el paquete.</p>
</div>
<div class="section" id="como-generar-la-documentacion-automaticamente">
<h2>Como generar la documentación automáticamente:<a class="headerlink" href="#como-generar-la-documentacion-automaticamente" title="Enlazar permanentemente con este título">¶</a></h2>
<p>Para generar la documentación automáticamente, se ha seleccionado Sphinx como
herramienta (<a class="reference external" href="http://www.sphinx-doc.org/en/master/">http://www.sphinx-doc.org/en/master/</a>). Esta documentación está en la
carpeta docs. Esta carpeta está dividida en dos partes, source y build. En source está el código en crudo
y en build estará la construcción, en nuestro caso hemos preferido una construcción basada en html por dinamismo.
Es decir la para acceder a la documentación iremos a el fichero docs/build/html/index.html.</p>
<p>Para construirla solamente deberemos ir a la carpeta docs y hacer make en la consola</p>
<p>La elección de sphinx no ha sido a la ligera, tiene una extensión llamada napoleon que nos permite generar la documentación de las
funcionalidades creadas a partir de los docstrings creados. Para hacerlo deberemos ir a la carpeta del repositorio y aplicamos</p>
<ul class="simple">
<li><p>sphinx-apidoc -f -o docs/source «carpeta o fichero que queremos que cree la documentación»</p></li>
</ul>
<div class="toctree-wrapper compound">
</div>
</div>
</div>
<div class="section" id="indices-y-tablas">
<h1>Índices y tablas<a class="headerlink" href="#indices-y-tablas" title="Enlazar permanentemente con este título">¶</a></h1>
<ul class="simple">
<li><p><a class="reference internal" href="genindex.html"><span class="std std-ref">Índice</span></a></p></li>
<li><p><a class="reference internal" href="py-modindex.html"><span class="std std-ref">Índice de Módulos</span></a></p></li>
<li><p><a class="reference internal" href="search.html"><span class="std std-ref">Página de Búsqueda</span></a></p></li>
</ul>
</div>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="#">Python Challenger Logs Processor</a></h1>








<h3>Navegación</h3>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="#">Documentation overview</a><ul>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Búsqueda rápida</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Ir a" />
    </form>
    </div>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2019, Perfecto Vidal Lloret.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 2.1.0</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.12</a>
      
      |
      <a href="_sources/index.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>